wxWidgets: wxColourPropertyValue Class Reference

| Version: 3.2.2

Public Member Functions | Public Attributes | List of all members
wxColourPropertyValue Class Reference

`#include <wx/propgrid/advprops.h>`

Inheritance diagram for wxColourPropertyValue:
[legend]

## Detailed Description

Because text, background and other colours tend to differ between platforms, wxSystemColourProperty must be able to select between system colour and, when necessary, to pick a custom one.

wxSystemColourProperty value makes this possible.

## Public Member Functions
| wxColourPropertyValue ()
| wxColourPropertyValue (const wxColourPropertyValue &v)
| wxColourPropertyValue (const wxColour &colour)
| wxColourPropertyValue (wxUint32 type)
| wxColourPropertyValue (wxUint32 type, const wxColour &colour)
virtual | ~wxColourPropertyValue ()
void | Init (wxUint32 type, const wxColour &colour)
void | operator= (const wxColourPropertyValue &cpv)
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Public Attributes
wxUint32 | m_type
| An integer value relating to the colour, and which exact meaning depends on the property with which it is used. More...
wxColour | m_colour
| Resulting colour. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxColourPropertyValue() [1/5]

wxColourPropertyValue::wxColourPropertyValue | ( |  | ) |

## ◆ wxColourPropertyValue() [2/5]

wxColourPropertyValue::wxColourPropertyValue | ( | const wxColourPropertyValue & | v | ) |

## ◆ wxColourPropertyValue() [3/5]

wxColourPropertyValue::wxColourPropertyValue | ( | const wxColour & | colour | ) |

## ◆ wxColourPropertyValue() [4/5]

wxColourPropertyValue::wxColourPropertyValue | ( | wxUint32 | type | ) |

## ◆ wxColourPropertyValue() [5/5]

wxColourPropertyValue::wxColourPropertyValue | ( | wxUint32 | type,
|  | const wxColour & | colour
| ) |  |

## ◆ ~wxColourPropertyValue()

virtual wxColourPropertyValue::~wxColourPropertyValue | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ Init()

void wxColourPropertyValue::Init | ( | wxUint32 | type,
|  | const wxColour & | colour
| ) |  |

## ◆ operator=()

void wxColourPropertyValue::operator= | ( | const wxColourPropertyValue & | cpv | ) |

## Member Data Documentation

## ◆ m_colour

wxColour wxColourPropertyValue::m_colour

Resulting colour.

Should be correct regardless of type.

## ◆ m_type

wxUint32 wxColourPropertyValue::m_type

An integer value relating to the colour, and which exact meaning depends on the property with which it is used.

For wxSystemColourProperty:

Any of wxSYS_COLOUR_XXX, or any web-colour ( use wxPG_TO_WEB_COLOUR macro - (currently unsupported) ), or wxPG_COLOUR_CUSTOM.

For custom colour properties without values array specified:

index or wxPG_COLOUR_CUSTOM

For custom colour properties with values array specified:

m_arrValues[index] or wxPG_COLOUR_CUSTOM